* HSPICE file created from dff.ext - technology: scmos

.option scale=0.3u probe POST = 1


.MODEL nfet nmos  (                                LEVEL   = 49
+VERSION = 3.1            TNOM    = 27             TOX     = 1.4E-8
+XJ      = 1.5E-7         NCH     = 1.7E17         VTH0    = 0.6678778
+K1      = 0.8762214      K2      = -0.0943019     K3      = 24.2085212
+K3B     = -7.7698747     W0      = 1E-8           NLX     = 1E-9
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = 2.8809673      DVT1    = 0.4307406      DVT2    = -0.1184182
+U0      = 451.2550843    UA      = 1E-13          UB      = 1.296289E-18
+UC      = 1.037591E-11   VSAT    = 1.625008E5     A0      = 0.6087925
+AGS     = 0.1268661      B0      = 2.586729E-6    B1      = 5E-6
+KETA    = -1.849739E-3   A1      = 0              A2      = 0.3561226
+RDSW    = 1.391717E3     PRWG    = 0.047164       PRWB    = 0.0246591
+WR      = 1              WINT    = 2.500756E-7    LINT    = 3.224618E-8
+XL      = 0              XW      = 0              DWG     = -1.022723E-8
+DWB     = 5.166892E-8    VOFF    = -0.0110606     NFACTOR = 0.7787324
+CIT     = 0              CDSC    = 2.4E-4         CDSCD   = 0
+CDSCB   = 0              ETA0    = 0.0139722      ETAB    = -8.660166E-4
+DSUB    = 0.1959492      PCLM    = 2.6438146      PDIBLC1 = -0.1275307
+PDIBLC2 = 2.343354E-3    PDIBLCB = -0.0345287     DROUT   = 0.4842287
+PSCBE1  = 5.885705E8     PSCBE2  = 8.722621E-5    PVAG    = 0
+DELTA   = 0.01           RSH     = 81.1           MOBMOD  = 1
+PRT     = 0              UTE     = -1.5           KT1     = -0.11
+KT1L    = 0              KT2     = 0.022          UA1     = 4.31E-9
+UB1     = -7.61E-18      UC1     = -5.6E-11       AT      = 3.3E4
+WL      = 0              WLN     = 1              WW      = 0
+WWN     = 1              WWL     = 0              LL      = 0
+LLN     = 1              LW      = 0              LWN     = 1
+LWL     = 0              CAPMOD  = 2              XPART   = 0.5
+CGDO    = 2.1E-10        CGSO    = 2.1E-10        CGBO    = 1E-9
+CJ      = 4.231673E-4    PB      = 0.9816846      MJ      = 0.4398491
+CJSW    = 3.223931E-10   PBSW    = 0.1            MJSW    = 0.1151286
+CJSWG   = 1.64E-10       PBSWG   = 0.1            MJSWG   = 0.1151286
+CF      = 0              PVTH0   = 0.0697692      PRDSW   = 203.5723993
+PK2     = -0.0366212     WKETA   = -0.0263647     LKETA   = -1.396134E-4    )
*
*
*
.MODEL pfet pmos  (                                LEVEL   = 49
+VERSION = 3.1            TNOM    = 27             TOX     = 1.4E-8
+XJ      = 1.5E-7         NCH     = 1.7E17         VTH0    = -0.9156354
+K1      = 0.5386158      K2      = 0.0109069      K3      = 6.8891225
+K3B     = -0.955502      W0      = 1E-8           NLX     = 5.150954E-9
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = 2.7443416      DVT1    = 0.7101819      DVT2    = -0.1355717
+U0      = 209.5424573    UA      = 2.713137E-9    UB      = 1E-21
+UC      = -6.3868E-11    VSAT    = 1.737339E5     A0      = 0.9370339
+AGS     = 0.1530812      B0      = 7.144521E-7    B1      = 5E-6
+KETA    = -3.495244E-3   A1      = 6.654622E-5    A2      = 0.3
+RDSW    = 3E3            PRWG    = -0.0141301     PRWB    = -0.0244506
+WR      = 1              WINT    = 3.028868E-7    LINT    = 5.401612E-8
+XL      = 0              XW      = 0              DWG     = -1.178746E-8
+DWB     = 1.985576E-8    VOFF    = -0.0803591     NFACTOR = 0.6185011
+CIT     = 0              CDSC    = 2.4E-4         CDSCD   = 0
+CDSCB   = 0              ETA0    = 0.1554071      ETAB    = -0.0681955
+DSUB    = 1              PCLM    = 2.2066095      PDIBLC1 = 0.0607184
+PDIBLC2 = 4.066172E-3    PDIBLCB = -0.0548437     DROUT   = 0.262009
+PSCBE1  = 5.132209E9     PSCBE2  = 5E-10          PVAG    = 0
+DELTA   = 0.01           RSH     = 103.3          MOBMOD  = 1
+PRT     = 0              UTE     = -1.5           KT1     = -0.11
+KT1L    = 0              KT2     = 0.022          UA1     = 4.31E-9
+UB1     = -7.61E-18      UC1     = -5.6E-11       AT      = 3.3E4
+WL      = 0              WLN     = 1              WW      = 0
+WWN     = 1              WWL     = 0              LL      = 0
+LLN     = 1              LW      = 0              LWN     = 1
+LWL     = 0              CAPMOD  = 2              XPART   = 0.5
+CGDO    = 2.75E-10       CGSO    = 2.75E-10       CGBO    = 1E-9
+CJ      = 7.244604E-4    PB      = 0.9552323      MJ      = 0.4965082
+CJSW    = 2.658719E-10   PBSW    = 0.99           MJSW    = 0.27553
+CJSWG   = 6.4E-11        PBSWG   = 0.99           MJSWG   = 0.27553
+CF      = 0              PVTH0   = 5.98016E-3     PRDSW   = 14.8598424
+PK2     = 3.73981E-3     WKETA   = 4.809974E-3    LKETA   = -4.843129E-3    )
*
*

m1000 Vdd x0/A ~Q Vdd pfet w=4 l=2
+ ad=204 pd=172 as=44 ps=38 
m1001 ~Q ~RESET Vdd Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1002 Vdd Q ~Q Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1003 x0/a_n2_18 x0/A ~Q Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1004 x0/a_6_18 ~RESET x0/a_n2_18 Gnd nfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1005 GND Q x0/a_6_18 Gnd nfet w=4 l=2
+ ad=116 pd=96 as=0 ps=0 
m1006 x0/A x1/A Vdd Vdd pfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1007 Vdd CLOCK x0/A Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1008 x1/a_n18_13 x1/A x0/A Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1009 GND CLOCK x1/a_n18_13 Gnd nfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1010 Vdd D x1/A Vdd pfet w=6 l=2
+ ad=0 pd=0 as=36 ps=24 
m1011 x1/A D GND Gnd nfet w=6 l=2
+ ad=36 pd=24 as=0 ps=0 
m1012 Vdd x2/A Q Vdd pfet w=4 l=2
+ ad=0 pd=0 as=44 ps=38 
m1013 Q ~SET Vdd Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1014 Vdd ~Q Q Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1015 x2/a_n2_18 x2/A Q Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1016 x2/a_6_18 ~SET x2/a_n2_18 Gnd nfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1017 GND ~Q x2/a_6_18 Gnd nfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1018 x2/A D Vdd Vdd pfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1019 Vdd CLOCK x2/A Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1020 x3/a_n18_13 D x2/A Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1021 GND CLOCK x3/a_n18_13 Gnd nfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
C0 x2/A GND 7.0fF
C1 D GND 3.1fF
C2 x1/A GND 6.7fF
C3 Vdd GND 17.5fF
C4 ~Q GND 8.2fF
C5 Q GND 7.3fF
C6 x0/A GND 7.0fF

VVdd Vdd gnd 5.0v
VGND GND gnd 0.0v
VCLOCK CLOCK gnd DC PULSE(0 5 0 1n 1n 9n 20n)
VD D gnd DC PULSE(5 0 0 1n 1n 39n 80n)
V~SET ~SET gnd DC PULSE(5 0 110n 1n 1n 14n 180n)
V~RESET ~RESET gnd DC PULSE(5 0 140n 1n 1n 150n 180n)
.tran 0.1ns 250ns
.print V(CLOCK) V(D) V(Q) V(~SET) V(~RESET)
.measure tran Tcl_fall TRIG v(CLOCK) VAL=2.5v RISE=1 TARG V(Q) VAL=2.5v FALL=1
.measure tran Tcl_rise TRIG v(CLOCK) VAL=2.5v FALL=1 TARG V(Q) VAL=2.5v RISE=1
.measure tran Tst_fall TRIG v(~SET) VAL=2.5v RISE=1 TARG V(Q) VAL=2.5v FALL=1
.measure tran Tst_rise TRIG v(~SET) VAL=2.5v FALL=1 TARG V(Q) VAL=2.5v RISE=1
.measure tran Trst_fall TRIG v(~RESET) VAL=2.5v RISE=1 TARG V(Q) VAL=2.5v FALL=1
.measure tran Trst_rise TRIG v(~RESET) VAL=2.5v FALL=1 TARG V(Q) VAL=2.5v RISE=1
.end
.end     
