* HSPICE file created from fladder.ext - technology: scmos

.option scale=0.3u probe POST = 1


.MODEL nfet nmos  (                                LEVEL   = 49
+VERSION = 3.1            TNOM    = 27             TOX     = 1.4E-8
+XJ      = 1.5E-7         NCH     = 1.7E17         VTH0    = 0.6678778
+K1      = 0.8762214      K2      = -0.0943019     K3      = 24.2085212
+K3B     = -7.7698747     W0      = 1E-8           NLX     = 1E-9
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = 2.8809673      DVT1    = 0.4307406      DVT2    = -0.1184182
+U0      = 451.2550843    UA      = 1E-13          UB      = 1.296289E-18
+UC      = 1.037591E-11   VSAT    = 1.625008E5     A0      = 0.6087925
+AGS     = 0.1268661      B0      = 2.586729E-6    B1      = 5E-6
+KETA    = -1.849739E-3   A1      = 0              A2      = 0.3561226
+RDSW    = 1.391717E3     PRWG    = 0.047164       PRWB    = 0.0246591
+WR      = 1              WINT    = 2.500756E-7    LINT    = 3.224618E-8
+XL      = 0              XW      = 0              DWG     = -1.022723E-8
+DWB     = 5.166892E-8    VOFF    = -0.0110606     NFACTOR = 0.7787324
+CIT     = 0              CDSC    = 2.4E-4         CDSCD   = 0
+CDSCB   = 0              ETA0    = 0.0139722      ETAB    = -8.660166E-4
+DSUB    = 0.1959492      PCLM    = 2.6438146      PDIBLC1 = -0.1275307
+PDIBLC2 = 2.343354E-3    PDIBLCB = -0.0345287     DROUT   = 0.4842287
+PSCBE1  = 5.885705E8     PSCBE2  = 8.722621E-5    PVAG    = 0
+DELTA   = 0.01           RSH     = 81.1           MOBMOD  = 1
+PRT     = 0              UTE     = -1.5           KT1     = -0.11
+KT1L    = 0              KT2     = 0.022          UA1     = 4.31E-9
+UB1     = -7.61E-18      UC1     = -5.6E-11       AT      = 3.3E4
+WL      = 0              WLN     = 1              WW      = 0
+WWN     = 1              WWL     = 0              LL      = 0
+LLN     = 1              LW      = 0              LWN     = 1
+LWL     = 0              CAPMOD  = 2              XPART   = 0.5
+CGDO    = 2.1E-10        CGSO    = 2.1E-10        CGBO    = 1E-9
+CJ      = 4.231673E-4    PB      = 0.9816846      MJ      = 0.4398491
+CJSW    = 3.223931E-10   PBSW    = 0.1            MJSW    = 0.1151286
+CJSWG   = 1.64E-10       PBSWG   = 0.1            MJSWG   = 0.1151286
+CF      = 0              PVTH0   = 0.0697692      PRDSW   = 203.5723993
+PK2     = -0.0366212     WKETA   = -0.0263647     LKETA   = -1.396134E-4    )
*
*
*
.MODEL pfet pmos  (                                LEVEL   = 49
+VERSION = 3.1            TNOM    = 27             TOX     = 1.4E-8
+XJ      = 1.5E-7         NCH     = 1.7E17         VTH0    = -0.9156354
+K1      = 0.5386158      K2      = 0.0109069      K3      = 6.8891225
+K3B     = -0.955502      W0      = 1E-8           NLX     = 5.150954E-9
+DVT0W   = 0              DVT1W   = 0              DVT2W   = 0
+DVT0    = 2.7443416      DVT1    = 0.7101819      DVT2    = -0.1355717
+U0      = 209.5424573    UA      = 2.713137E-9    UB      = 1E-21
+UC      = -6.3868E-11    VSAT    = 1.737339E5     A0      = 0.9370339
+AGS     = 0.1530812      B0      = 7.144521E-7    B1      = 5E-6
+KETA    = -3.495244E-3   A1      = 6.654622E-5    A2      = 0.3
+RDSW    = 3E3            PRWG    = -0.0141301     PRWB    = -0.0244506
+WR      = 1              WINT    = 3.028868E-7    LINT    = 5.401612E-8
+XL      = 0              XW      = 0              DWG     = -1.178746E-8
+DWB     = 1.985576E-8    VOFF    = -0.0803591     NFACTOR = 0.6185011
+CIT     = 0              CDSC    = 2.4E-4         CDSCD   = 0
+CDSCB   = 0              ETA0    = 0.1554071      ETAB    = -0.0681955
+DSUB    = 1              PCLM    = 2.2066095      PDIBLC1 = 0.0607184
+PDIBLC2 = 4.066172E-3    PDIBLCB = -0.0548437     DROUT   = 0.262009
+PSCBE1  = 5.132209E9     PSCBE2  = 5E-10          PVAG    = 0
+DELTA   = 0.01           RSH     = 103.3          MOBMOD  = 1
+PRT     = 0              UTE     = -1.5           KT1     = -0.11
+KT1L    = 0              KT2     = 0.022          UA1     = 4.31E-9
+UB1     = -7.61E-18      UC1     = -5.6E-11       AT      = 3.3E4
+WL      = 0              WLN     = 1              WW      = 0
+WWN     = 1              WWL     = 0              LL      = 0
+LLN     = 1              LW      = 0              LWN     = 1
+LWL     = 0              CAPMOD  = 2              XPART   = 0.5
+CGDO    = 2.75E-10       CGSO    = 2.75E-10       CGBO    = 1E-9
+CJ      = 7.244604E-4    PB      = 0.9552323      MJ      = 0.4965082
+CJSW    = 2.658719E-10   PBSW    = 0.99           MJSW    = 0.27553
+CJSWG   = 6.4E-11        PBSWG   = 0.99           MJSWG   = 0.27553
+CF      = 0              PVTH0   = 5.98016E-3     PRDSW   = 14.8598424
+PK2     = 3.73981E-3     WKETA   = 4.809974E-3    LKETA   = -4.843129E-3    )
*
*

m1000 COUT x0/A Vdd Vdd pfet w=4 l=2
+ ad=24 pd=20 as=504 ps=320 
m1001 Vdd x0/B COUT Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1002 x0/a_n18_13 x0/A COUT Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1003 GND x0/B x0/a_n18_13 Gnd nfet w=4 l=2
+ ad=348 pd=242 as=0 ps=0 
m1004 x0/B x1/B Vdd Vdd pfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1005 Vdd CIN x0/B Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1006 x2/a_n18_13 x1/B x0/B Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1007 GND CIN x2/a_n18_13 Gnd nfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1008 Vdd CIN x3/a_n48_29 Vdd pfet w=4 l=2
+ ad=0 pd=0 as=20 ps=18 
m1009 Vdd x1/B x3/a_39_50 Vdd pfet w=8 l=2
+ ad=0 pd=0 as=40 ps=26 
m1010 Vdd CIN x3/a_n5_43 Vdd pfet w=8 l=2
+ ad=0 pd=0 as=40 ps=26 
m1011 x3/a_39_50 x3/a_n48_29 Q Vdd pfet w=8 l=2
+ ad=0 pd=0 as=248 ps=94 
m1012 x3/a_n5_43 x3/a_n48_n26 Q Vdd pfet w=8 l=2
+ ad=0 pd=0 as=0 ps=0 
m1013 x3/a_n48_29 CIN GND Gnd nfet w=4 l=2
+ ad=20 pd=18 as=0 ps=0 
m1014 Vdd x1/B x3/a_n48_n26 Vdd pfet w=4 l=2
+ ad=0 pd=0 as=20 ps=18 
m1015 Q CIN x3/a_n5_n32 Gnd nfet w=8 l=3
+ ad=120 pd=62 as=96 ps=40 
m1016 Q x3/a_n48_29 x3/a_39_n32 Gnd nfet w=8 l=3
+ ad=0 pd=0 as=96 ps=40 
m1017 x3/a_n48_n26 x1/B GND Gnd nfet w=4 l=2
+ ad=20 pd=18 as=0 ps=0 
m1018 x3/a_n5_n32 x1/B GND Gnd nfet w=8 l=3
+ ad=0 pd=0 as=0 ps=0 
m1019 x3/a_39_n32 x3/a_n48_n26 GND Gnd nfet w=8 l=3
+ ad=0 pd=0 as=0 ps=0 
m1020 x0/A B Vdd Vdd pfet w=4 l=2
+ ad=24 pd=20 as=0 ps=0 
m1021 Vdd A x0/A Vdd pfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1022 x4/a_n18_13 B x0/A Gnd nfet w=4 l=2
+ ad=24 pd=20 as=20 ps=18 
m1023 GND A x4/a_n18_13 Gnd nfet w=4 l=2
+ ad=0 pd=0 as=0 ps=0 
m1024 Vdd A x5/a_n48_29 Vdd pfet w=4 l=2
+ ad=0 pd=0 as=20 ps=18 
m1025 Vdd B x5/a_39_50 Vdd pfet w=8 l=2
+ ad=0 pd=0 as=40 ps=26 
m1026 Vdd A x5/a_n5_43 Vdd pfet w=8 l=2
+ ad=0 pd=0 as=40 ps=26 
m1027 x5/a_39_50 x5/a_n48_29 x1/B Vdd pfet w=8 l=2
+ ad=0 pd=0 as=248 ps=94 
m1028 x5/a_n5_43 x5/a_n48_n26 x1/B Vdd pfet w=8 l=2
+ ad=0 pd=0 as=0 ps=0 
m1029 x5/a_n48_29 A GND Gnd nfet w=4 l=2
+ ad=20 pd=18 as=0 ps=0 
m1030 Vdd B x5/a_n48_n26 Vdd pfet w=4 l=2
+ ad=0 pd=0 as=20 ps=18 
m1031 x1/B A x5/a_n5_n32 Gnd nfet w=8 l=3
+ ad=120 pd=62 as=96 ps=40 
m1032 x1/B x5/a_n48_29 x5/a_39_n32 Gnd nfet w=8 l=3
+ ad=0 pd=0 as=96 ps=40 
m1033 x5/a_n48_n26 B GND Gnd nfet w=4 l=2
+ ad=20 pd=18 as=0 ps=0 
m1034 x5/a_n5_n32 B GND Gnd nfet w=8 l=3
+ ad=0 pd=0 as=0 ps=0 
m1035 x5/a_39_n32 x5/a_n48_n26 GND Gnd nfet w=8 l=3
+ ad=0 pd=0 as=0 ps=0 
C0 x5/a_n48_n26 GND 13.5fF
C1 x5/a_n48_29 GND 13.4fF
C2 A GND 14.7fF
C3 B GND 14.9fF
C4 Q GND 12.1fF
C5 x3/a_n48_n26 GND 13.5fF
C6 x3/a_n48_29 GND 13.4fF
C7 CIN GND 14.2fF
C8 x1/B GND 24.2fF
C9 COUT GND 4.4fF
C10 Vdd GND 54.5fF
C11 x0/B GND 7.0fF
C12 x0/A GND 10.3fF

VVdd Vdd gnd 5.0v
VGND GND gnd 0.0v
VA A gnd DC PULSE(5 0 0 1n 1n 9n 20n)
VB B gnd DC PULSE(5 0 0 1n 1n 19n 40n)
VCIN CIN gnd DC PULSE(5 0 0 1n 1n 39n 80n)
.tran 0.1ns 85ns
.print V(A) V(B) V(CIN) V(Q) V(COUT) 


.measure tran Ta_Qrise1 TRIG v(A) VAL=2.5v RISE=1 TARG V(Q) VAL=2.5v RISE=1
.measure tran Ta_Qrise2 TRIG v(A) VAL=2.5v FALL=1 TARG V(Q) VAL=2.5v RISE=1
.measure tran Ta_Qfall TRIG v(A) VAL=2.5v RISE=1 TARG V(Q) VAL=2.5v FALL=1
.measure tran Ta_Crise TRIG v(A) VAL=2.5v RISE=1 TARG V(COUT) VAL=2.5v RISE=1
.measure tran Ta_Cfall TRIG v(A) VAL=2.5v FALL=1 TARG V(COUT) VAL=2.5v FALL=1

.end
.end  